--[[
@title Blackboard script
@param c Course (0=inf,1=QM,2=ds,3=fn,4=op)
@param w Week Week number
@param p Log (0=No, 1=Yes)
--]]

function date()
   yyyy = (get_time("Y"))
   mm   = (get_time("M"))
   if (tonumber(mm)<10) then
      mm = "0"..mm
   end
   dd   = (get_time("D"))
   if (tonumber(dd)<10) then
      dd = "0"..dd
   end
   yyyymmdd = yyyy .. "-" .. mm .. "-" .. dd
   log_id = mm..dd
end
function pre_get_file()
  dir_pre = os.listdir("A/DCIM/100CANON", true) --'true' shows also . and ..
  count_pre = table.getn(dir_pre)
end

function post_get_file()
dir_post = os.listdir("A/DCIM/100CANON", true)
  count_post = table.getn(dir_post)
  shot_filename = ""
  
  
  for i=count_post,1 ,-1 do
  found = false;
    for j=count_pre,1,-1  do
      if(dir_post[i] == dir_pre[j]) then
	found = true
      end
    end
    if ( found == false) then
	shot_filename = string.sub(dir_post[i],5,8)
	break
    end
  end
end

function time()
   hh = (get_time("h"))
   if (tonumber(hh)<10) then
      hh = "0"..hh
   end
   mi = (get_time("m"))
   if (tonumber(mi)<10) then
      mi = "0"..mi
   end
   ss = (get_time("s"))
   if (tonumber(ss)<10) then
      ss = "0"..ss
   end
   hhmmss = hh .. ":" .. mi .. ":" .. ss
end

function openfile()
   print_screen (log_id)
end

function closefile()
   print_screen (false)
end

-- main

date()

--shot and open log file
pre_get_file() --we are going to make a filename
shoot()
post_get_file()
log_id =  shot_filename
if (p == 0) then
   closefile()
else
   openfile()
end
print ( "Yay, filename is " .. shot_filename)
time()
ts = c .. " " .. w .. " " .. ": " .. yyyymmdd .. "-" .. hhmmss
print( ts )
--sleep( 3000 )


--cls()


closefile()